## org.apache.coyote.tomcat5
Class CoyoteReader

    java.lang.Object
      java.io.Reader
          java.io.BufferedReader
              org.apache.coyote.tomcat5.CoyoteReader

public class CoyoteReader
extends java.io.BufferedReader

Coyote implementation of the buffred reader.

Author:
  Remy Maucherat

Field Summary
`protected InputBuffer` `ib`
`protected char[]` `lineBuffer`

Fields inherited from class java.io.Reader
`lock`

Constructor Summary
`CoyoteReader(InputBuffer ib)`

Method Summary
`void` `close()`
`void` `mark(int readAheadLimit)`
`boolean` `markSupported()`
`int` `read()`
`int` `read(char[] cbuf)`
`int` `read(char[] cbuf, int off, int len)`
`java.lang.String` `readLine()`
`boolean` `ready()`
`void` `reset()`
`long` `skip(long n)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ib

    protected InputBuffer ib

### lineBuffer

    protected char[] lineBuffer

Constructor Detail

### CoyoteReader

    public CoyoteReader(InputBuffer ib)

Method Detail

### close

    public void close()
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### read

    public int read()
             throws java.io.IOException

  Throws:
    `java.io.IOException`

### read

    public int read(char[] cbuf)
             throws java.io.IOException

  Throws:
    `java.io.IOException`

### read

    public int read(char[] cbuf,
                    int off,
                    int len)
             throws java.io.IOException

  Throws:
    `java.io.IOException`

### skip

    public long skip(long n)
              throws java.io.IOException

  Throws:
    `java.io.IOException`

### ready

    public boolean ready()
                  throws java.io.IOException

  Throws:
    `java.io.IOException`

### markSupported

    public boolean markSupported()

### mark

    public void mark(int readAheadLimit)
              throws java.io.IOException

  Throws:
    `java.io.IOException`

### reset

    public void reset()
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### readLine

    public java.lang.String readLine()
                              throws java.io.IOException

  Throws:
    `java.io.IOException`

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.